<< dst1 | FOSSEE_Signal_Processing_Toolbox | dutycycle >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > durbinlevinson

# durbinlevinson

Perform one step of the Durbin-Levinson algorithm.

### Syntax

    [newphi, newv] = durbinlevinson(c)
    [newphi, newv] = durbinlevinson(c, oldphi)
    [newphi, newv] = durbinlevinson(c, oldphi, oldv)

### Parameters

c:

  Vector. Specifies the autocovariances '[gamma_0, ..., gamma_t]' from lag 0 to t.

oldphi:

  Vector. Specifies the coefficients based on c(t-1).

oldv:

  Scalar. Specifies the corresponding error.

newphi:

  Vector. The updated coefficients after one step of the Durbin-Levinson algorithm.

newv:

  Scalar. The updated error after one step of the Durbin-Levinson algorithm.

### Description

Perform one step of the Durbin-Levinson algorithm. If 'oldphi' and 'oldv' are omitted, all steps from 1 to t of the algorithm are performed.

### Examples

    [newphi, newv] = durbinlevinson([1, 2, 3], 1, 2)

Report an issue
<< dst1 | FOSSEE_Signal_Processing_Toolbox | dutycycle >>